# frozen_string_literal: true

require_relative "quickey_ruby_sdk/app"
require_relative "quickey_ruby_sdk/auth"
require_relative "quickey_ruby_sdk/config"
require_relative "quickey_ruby_sdk/version"
require 'httparty'
require 'json'

module QuickeyRubySdk 
  class Sdk
    attr_reader :app
    attr_reader :auth

    def initialize(api_key: nil)
      @app = QuickeyRubySdk::App.new(api_key: api_key)
      @auth = QuickeyRubySdk::Auth.new(api_key: api_key)
    end
end